
import { localize } from '../../../../nls.js';
import { RawContextKey } from '../../../../platform/contextkey/common/contextkey.js';

var CommentContextKeys;
(function (CommentContextKeys) {
    CommentContextKeys.activeCursorHasCommentingRange = ( new RawContextKey('activeCursorHasCommentingRange', false, {
        description: ( localize(4926, "Whether the position at the active cursor has a commenting range")),
        type: 'boolean'
    }));
    CommentContextKeys.activeCursorHasComment = ( new RawContextKey('activeCursorHasComment', false, {
        description: ( localize(4927, "Whether the position at the active cursor has a comment")),
        type: 'boolean'
    }));
    CommentContextKeys.activeEditorHasCommentingRange = ( new RawContextKey('activeEditorHasCommentingRange', false, {
        description: ( localize(4928, "Whether the active editor has a commenting range")),
        type: 'boolean'
    }));
    CommentContextKeys.WorkspaceHasCommenting = ( new RawContextKey('workspaceHasCommenting', false, {
        description: ( localize(
         4929,
         "Whether the open workspace has either comments or commenting ranges."
        )),
        type: 'boolean'
    }));
    CommentContextKeys.commentThreadIsEmpty = ( new RawContextKey(
     'commentThreadIsEmpty',
     false,
     { type: 'boolean', description: ( localize(4930, "Set when the comment thread has no comments")) }
    ));
    CommentContextKeys.commentIsEmpty = ( new RawContextKey('commentIsEmpty', false, { type: 'boolean', description: ( localize(4931, "Set when the comment has no input")) }));
    CommentContextKeys.commentContext = ( new RawContextKey('comment', undefined, { type: 'string', description: ( localize(4932, "The context value of the comment")) }));
    CommentContextKeys.commentThreadContext = ( new RawContextKey('commentThread', undefined, { type: 'string', description: ( localize(4933, "The context value of the comment thread")) }));
    CommentContextKeys.commentControllerContext = ( new RawContextKey(
     'commentController',
     undefined,
     { type: 'string', description: ( localize(4934, "The comment controller id associated with a comment thread")) }
    ));
    CommentContextKeys.commentFocused = ( new RawContextKey('commentFocused', false, { type: 'boolean', description: ( localize(4935, "Set when the comment is focused")) }));
})(CommentContextKeys || (CommentContextKeys = {}));

export { CommentContextKeys };
