import { URI } from "../../../../base/common/uri.js";
import { LanguageSelector } from "../../../../editor/common/languageSelector.js";
import { LineRangeMapping } from "../../../../editor/common/diff/rangeMapping.js";
export interface QuickDiffProvider {
    label: string;
    rootUri: URI | undefined;
    selector?: LanguageSelector;
    isSCM: boolean;
    visible: boolean;
    getOriginalResource(uri: URI): Promise<URI | null>;
}
export interface QuickDiff {
    label: string;
    originalResource: URI;
    isSCM: boolean;
    visible: boolean;
}
export interface QuickDiffResult {
    readonly original: URI;
    readonly modified: URI;
    readonly changes: readonly LineRangeMapping[];
}
